=head1 NAME

B<mkrrnodes> - Adds or deletes nodes in the xCAT cluster database.


=head1 SYNOPSIS

B<mkrrnodes> [-d ]| [-C a|b|,...,r] -L [Start Rack number for CU] -R [startrange,endrange] [-t|--test]


B<mkrrnodes> [B<-h> | B<--help>]


=head1 DESCRIPTION

The mkrrnodes add or delete (-d) the nodes requested by inputting the CU name (-C) flag and the start and end range (-R) flag.  It will also automatically define required nodegroups. 

=head1 OPTIONS


=over 10

=item B<-h|--help>

Display usage message.

=item B<-t|--test>

Test mode.  The script will print out all the commands that will be run, but will not actually run them.  Useful to verify that the command will create the nodes and groups the way you expect.

=back


=head1 RETURN VALUE

=over 3

=item 0

The command completed successfully.

=item 1

An error has occurred.

=back


=head1 EXAMPLES

=over 2

=item *

To build nodelist entries like this:
   "rrd171a","rrd171,ls21,cud,opteron,opteron-cud,compute,tb,all,rack16,bc57",,,
   "rrd171b","rrd171,qs22,cud,cell,cell-b,cell-cud-b,cell-cud,compute,all,tb,rack16,bc57",,,
   "rrd171c","rrd171,qs22,cud,cell,cell-c,cell-cud-c,cell-cud,compute,all,tb,rack16,bc57",,,

B<mkrrnodes> -C d -L 2 -R 171,171

To delete the nodelist entries created above:

B<mkrrnodes> -d -C d -L 2 -R 171,171

=item *


=back


=head1 FILES

/opt/xcat/share/xcat/tools/mkrrnodes

See also /opt/xcat/share/xcat/tools/mkrrbc to create BladeCenter management module and switch node definitions

